package net.northking.cctp.scriptcase.tools.hapUtil.resources;

public class RecordItem {
    private int size;
    private ResType resType;
    private int id;
    private String name;
    private String value;

    public ResType getResType() {
        return resType;
    }

    public void setResType(ResType resType) {
        this.resType = resType;
    }

    public void setResType(int resType) {
        this.resType = ResType.valueOf(resType);
    }

    public int getSize() {
        return size;
    }

    public void setSize(int size) {
        this.size = size;
    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }
}
